Skip to main content
Posts

Publish Post

Publish KAW post

POST
/api/posts/v1/publish
Authorizationstringheaderrequired

Access token from POST /api/v1/auth/login

Body

multipart/form-data
imagesstring[]

Images you want to associate with the post. Max is 10

payloadobject

This is a JSON object that should include the following parameters: post_type (Required) post type. example image, article headline (Required) This is the post title and the post heading description (Required) Post description category_id (Optional/Required) List of category ids to be associated with the post. Pass as a string of comma separted ids. Either category_id or audinece_id must be present but not both audience_id (Optional/Required) List of audiience ids to be associated with the post. Pass as a string of comma separted ids. Either category_id or audinece_id must be present but not both. If audience_id is set to "0" then post will be global audience content (Required) This is required if post_type is article. featured (Optional) Boolean, if true post will be marked as features allow_comments (Optional) Boolean, if true post will allow comments allow_likes (Optional) Boolean, if true post will allow likes shareable (Optional) Boolean, if true post will be shareable start_date (Optional) if set and date is in the feature post will not be published immediately but will be published on the set date end_date (Optional) if set and date is past post will be archieved promotion (Optional) Boolean, if true promotions will be added to post based on promotion parameters promotion_type (Optional/Required) Required if promotion is true, two types supported, email and push_notification. Pass as a string of comma separated values promotion_email_subject (Optional/Required) If email is part of the promotion_type then this is the email subject promotion_email_message (Optional/Required) If email is part of the promotion_type, then this is the email content promotion_push_message (Optional/Required) If push_notification is part of the promotion_type, then this is the push notification message

Success. Response body is not documented in the source collection.